Download it now!
Bug 69599 - EDITING: No automatic detection of ANSI URL
Summary: EDITING: No automatic detection of ANSI URL
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.5.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Hyperlink Languages
  Show dependency treegraph
 
Reported: 2013-09-20 11:02 UTC by Edgar
Modified: 2019-08-11 14:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT with hyperlinks (9.73 KB, application/vnd.oasis.opendocument.text)
2013-10-17 07:15 UTC, Edgar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edgar 2013-09-20 11:02:03 UTC
Hyperlink, that contains German Umlauts (like ä, ö, ü) will not be recognized as URLs.

1. write: find more information on the city on www.münchen.de.
www.münchen.de (even http:\\www.münchen.de) will not be recognized as a hyperlink.
2. If you do it by insert > hyperlink, enter www.münchen.de it will noch work (error occurs, note like "the URL could not be handed over to an application..." sorry, I only get a German note)
Workaround to 2: you have to insert as destination "http:\\www.münchen.de" this works.

If the automatic detection of URL is activated, then ANSI URLs should be convertet to hyperlinks.
              
Operating System: All
Version: 4.0.5.1 rc
Comment 1 Thomas Arnhold 2013-10-16 17:46:45 UTC
Please note, that hyperlinks have slashes, not backslashes!

Try it with: http://www.münchen.de/

That will work fine.
Comment 2 Edgar 2013-10-17 06:42:28 UTC
I'm sorry, but it was done in a hurry. Surely I meant the slash "/".
But even the adddress http://www.münchen.de/ won't work, while www.muenchen.de will immediatly be detected!
Comment 3 Edgar 2013-10-17 07:15:38 UTC
Created attachment 87777 [details]
ODT with hyperlinks

A sample of written hyperlinks. hyperlinks with umlauts will not be detected, hyperlinks without umlauts will be automatically detected during input of text.
Comment 4 jmontane 2013-10-23 20:17:06 UTC
Hyperlinks with chars "àèóíïòóúüç·" (used in Catalan), or "áéíóúüñ" (used in Spanish) are not recognized as URLs.

MSO 2010 recognizes typed URLs as hyperlinks, for instance, the following URLs are changed to hyperlink automagically.

www.l·l.cat (note U+00B7 char)
www.ñandú.cl
Comment 5 Joel Madero 2014-11-06 17:52:06 UTC
Never confirmed - moving to UNCONFIRMED so QA looks at it. Thanks
Comment 6 A (Andy) 2014-11-06 23:02:14 UTC
Reproducible with LO 4.3.3.2, Win 8.1.

If I type in a document www.münchen.de it will not be recognised as a link, but www.muenchen.de will be recognised.
If I try it via INSERT -> HYPERLINK both ways of writing work.
Comment 7 Edgar 2014-11-07 07:56:04 UTC
> If I try it via INSERT -> HYPERLINK both ways of writing work.

It only looks like a hyperlink, but won't work! If you klick on the hyperlink you will get an error message.
German: '"www.münchen.de" ist keine absolute URL, die zum Öffnen an eine externe Anwendung übergeben werden kann'
English: 'www.münchen.de is not a valid URL that can be assigned to an extern application'
Comment 8 Edgar 2014-11-07 07:57:16 UTC
(In reply to Edgar Kuchelmeister from comment #7)
> > If I try it via INSERT -> HYPERLINK both ways of writing work.
> 
> It only looks like a hyperlink, but won't work! If you klick on the
> hyperlink you will get an error message.
> German: '"www.münchen.de" ist keine absolute URL, die zum Öffnen an eine
> externe Anwendung übergeben werden kann'
> English: 'www.münchen.de is not a valid URL that can be assigned to an
> extern application'

Ups sorry: Windows 7 LO 4.2.7.2
Comment 9 QA Administrators 2015-12-20 16:13:13 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-01-03 19:48:31 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103